Package org.springframework.cache.jcache.config

# Class ProxyJCacheConfiguration

java.lang.Object
org.springframework.cache.annotation.AbstractCachingConfiguration
org.springframework.cache.jcache.config.AbstractJCacheConfiguration
org.springframework.cache.jcache.config.ProxyJCacheConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.annotation.ImportAware`

@Configuration(proxyBeanMethods=false) @Role(2) public class ProxyJCacheConfiguration extends AbstractJCacheConfiguration
`@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based annotation-driven JSR-107 cache management.

Can safely be used alongside Spring's caching support.

Since:
  4.1
Author:
  Stephane Nicoll, Juergen Hoeller
See Also:
  - `EnableCaching`
  - `CachingConfigurationSelector`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`org.springframework.cache.annotation.AbstractCachingConfiguration.CachingConfigurerSupplier`

## Field Summary

### Fields inherited from class org.springframework.cache.jcache.config.AbstractJCacheConfiguration

`exceptionCacheResolver`

### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`cacheManager, cacheResolver, enableCaching, errorHandler, keyGenerator`

## Constructor Summary

Constructors
Constructor
Description
`ProxyJCacheConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`BeanFactoryJCacheOperationSourceAdvisor`
`cacheAdvisor(JCacheOperationSource jCacheOperationSource, JCacheInterceptor jCacheInterceptor)`
`JCacheInterceptor`
`cacheInterceptor(JCacheOperationSource jCacheOperationSource)`

### Methods inherited from class org.springframework.cache.jcache.config.AbstractJCacheConfiguration

`cacheOperationSource, useCachingConfigurer`

### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyJCacheConfiguration

public ProxyJCacheConfiguration()

## Method Details

### cacheAdvisor

@Bean(name="org.springframework.cache.config.internalJCacheAdvisor") @Role(2) public BeanFactoryJCacheOperationSourceAdvisor cacheAdvisor(JCacheOperationSource jCacheOperationSource, JCacheInterceptor jCacheInterceptor)

### cacheInterceptor

@Bean(name="jCacheInterceptor") @Role(2) public JCacheInterceptor cacheInterceptor(JCacheOperationSource jCacheOperationSource)